$break-small: 766px;

.image-container {
  .image-list-input {
    display: none;
  }

  .image-list {
    font-size: 0;
    vertical-align: top;
  }

  .btn-image-add {
    border: 1px dashed var(--bs-gray-100);
    vertical-align: top;
  }

  .image.input-picture,
  .btn-image-add {
    height: 150px;
    width: 150px;
  }

  .dragSortItem {
    &:first-child {
      border-right: 1px solid var(--bs-gray-100);
    }

    &:nth-child(2) {
      margin-left: $spacer * 0.5;
    }
  }

  .-isDragging {
    .dragSortItem {
      &:first-child {
        border-right: 0;
      }
    }
  }

  .image-item-container {
    img {
      height: 150px;
      min-width: 100px;
      transition: all 1s ease-in-out;
      background-color: var(--bs-gray-100);

      &.is-loading {
        opacity: 0.2;
      }
    }

    .fa-spin {
      position: absolute;
      top: calc(50% - 15px);
      left: calc(50% - 15px);
      font-size: 30px;
    }
  }

  .btn-delete {
    position: absolute;
    top: $spacer;
    right: $spacer;
  }

  .btn-rotate {
    position: absolute;
    bottom: $spacer;
    left: $spacer * 0.5;
  }

  .btn-enable-360 {
    position: absolute;
    bottom: $spacer;
    right: $spacer;
  }
}

.group-pictures {
  .title {
    display: none;
  }

  .image-list {
    margin-left: $spacer * 0.5;
  }
}
